STENCILREF(3CgFX)

NAME
StencilRef - 3D API stencil ref

USAGE
StencilRef = int(ref)

VALID ENUMERANTS
ref: integer value

DESCRIPTION
Specify the reference value for the stencil test. See the ref parameter description on the OpenGL glStencilFunc manual page for details. See the D3DRS_STENCILREF render state description for DirectX 9.

The standard reset callback sets the StencilRef state to int(0).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
ClearStencil, StencilEnable, StencilFail, StencilFunc, StencilFuncSeparate, StencilMask, StencilMaskSeparate, StencilOp, StencilOpSeparate, StencilPass, StencilTestEnable, StencilTestTwoSideEnable, StencilWriteMask, StencilZFail, TwoSidedStencilMode